### org.jfree.layouting.renderer.process

# Class IterateStructuralProcessStep

- `java.lang.Object`
- - `org.jfree.layouting.renderer.process.IterateStructuralProcessStep`

Known Direct Subclasses:
  CheckHibernationLayoutStep, ComputeTableICMMetricsStep, HtmlPrinter, ParagraphLineBreakStep, TableValidationStep, UpdateTokensStep, ValidateModelStep

`public abstract class IterateStructuralProcessStep`
`extends java.lang.Object`

Iterates over the document tree using the display-role of the current node as selector. Usually all structural processing steps use this iteration strategy.

Author:
  Thomas Morgner

  ## Constructor Summary

  `IterateStructuralProcessStep()`

  ## Method Summary

  `protected void`

  `finishBlockBox(BlockRenderBox box)`

  `protected void`

  `finishInlineBox(InlineRenderBox box)`

  `protected void`

  `finishNormalFlow(NormalFlowRenderBox box)`

  `protected void`

  `finishOtherBox(RenderBox box)`

  `protected void`

  `finishOtherNode(RenderNode node)`

  `protected void`

  `processBoxChilds(RenderBox box)`

  `protected void`

  `processParagraphChilds(ParagraphRenderBox box)`

  `protected boolean`

  `startBlockBox(BlockRenderBox box)`

  `protected boolean`

  `startInlineBox(InlineRenderBox box)`

  `protected void`

  `startNormalFlow(NormalFlowRenderBox box)`

  `protected boolean`

  `startOtherBox(RenderBox box)`

  `protected void`

  `startOtherNode(RenderNode node)`

  `protected void`

  `startProcessing(RenderNode node)`

## Constructor Details

### IterateStructuralProcessStep

    protected IterateStructuralProcessStep()

## Method Details

### finishBlockBox

    protected void finishBlockBox(BlockRenderBox box)

### finishInlineBox

    protected void finishInlineBox(InlineRenderBox box)

### finishNormalFlow

    protected void finishNormalFlow(NormalFlowRenderBox box)

### finishOtherBox

    protected void finishOtherBox(RenderBox box)

### finishOtherNode

    protected void finishOtherNode(RenderNode node)

### processBoxChilds

    protected void processBoxChilds(RenderBox box)

### processParagraphChilds

    protected void processParagraphChilds(ParagraphRenderBox box)

### startBlockBox

    protected boolean startBlockBox(BlockRenderBox box)

### startInlineBox

    protected boolean startInlineBox(InlineRenderBox box)

### startNormalFlow

    protected void startNormalFlow(NormalFlowRenderBox box)

### startOtherBox

    protected boolean startOtherBox(RenderBox box)

### startOtherNode

    protected void startOtherNode(RenderNode node)

### startProcessing

    protected void startProcessing(RenderNode node)